# Enum Class BasicControlPalette.DisplayMode

java.lang.Object
java.lang.Enum<BasicControlPalette.DisplayMode>
jam.controlpalettes.BasicControlPalette.DisplayMode

All Implemented Interfaces:
  `Serializable, Comparable<BasicControlPalette.DisplayMode>, Constable`

Enclosing class:
  `BasicControlPalette`

public static enum BasicControlPalette.DisplayMode extends Enum<BasicControlPalette.DisplayMode>

Version:
  $Id: BasicControlPalette.java 948 2008-10-02 00:19:47Z rambaut $
Author:
  Andrew Rambaut

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT_OPEN`
`INITIALLY_CLOSED`
`INITIALLY_OPEN`
`ONLY_ONE_OPEN`

## Method Summary

Modifier and Type
Method
Description
`static BasicControlPalette.DisplayMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BasicControlPalette.DisplayMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT_OPEN

public static final BasicControlPalette.DisplayMode DEFAULT_OPEN

### INITIALLY_OPEN

public static final BasicControlPalette.DisplayMode INITIALLY_OPEN

### INITIALLY_CLOSED

public static final BasicControlPalette.DisplayMode INITIALLY_CLOSED

### ONLY_ONE_OPEN

public static final BasicControlPalette.DisplayMode ONLY_ONE_OPEN

## Method Details

### values

public static BasicControlPalette.DisplayMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BasicControlPalette.DisplayMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null